# -*- coding: utf-8 -*-
from setuphelpers import *


def install():

    uninstall_older_version()

    install_exe_if_needed(
        glob.glob("Clementine*.exe")[0],
        silentflags="/S",
        key="Clementine",
        get_version=get_version,
        min_version=control.get_software_version(),
    )

def get_version(key):
    """
        Get the version of the installed Clementine
        Default key is like this : '1.4.1-10-gefe886e0a.0'
    """
    return key["version"].split("-")[0]

def uninstall_older_version():

    killalltasks(ensure_list(control.impacted_process))

    for soft in installed_softwares('Clementine'):
        unistall_key = soft['key']
        if Version(soft['version']) < Version(control.get_software_version()):
            run(uninstall_cmd(unistall_key))
            wait_uninstallkey_absent(unistall_key)

##    # Need to make sure all folders are deleted otherwise installation will crash
##    for sys_folder in [programdata, programfiles]:
##        for folder in glob.glob(makepath(sys_folder, "spyder*")):
##            if isdir(folder):
##                remove_tree(folder)